- Main Page
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# moeoVectorUM< EOT, R, EOFitness > Class Template Reference

Base class for unary metrics dedicated to the performance evaluation of a Pareto set (a vector of Pareto fitnesses). More...

`#include <moeoMetric.h>`

Inheritance diagram for moeoVectorUM< EOT, R, EOFitness >:

## Detailed Description

### template<class EOT, class R, class EOFitness = typename EOT::Fitness>
class moeoVectorUM< EOT, R, EOFitness >

Base class for unary metrics dedicated to the performance evaluation of a Pareto set (a vector of Pareto fitnesses).

Definition at line 58 of file moeoMetric.h.

The documentation for this class was generated from the following file:

- moeoMetric.h